diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-cca-test.cc ns-3.45/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-cca-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -3037,22 +3776,29 @@
 void
 WifiPhyCcaIndicationTest::DoRun()
 {
-    m_frequency = MHz_u{5180};
+    m_frequency = P20_CENTER_FREQUENCY;
     m_channelWidth = MHz_u{20};
     RunOne();
 
-    m_frequency = MHz_u{5190};
+    m_frequency = P40_CENTER_FREQUENCY;
     m_channelWidth = MHz_u{40};
     RunOne();
 
-    m_frequency = MHz_u{5210};
+    m_frequency = P80_CENTER_FREQUENCY;
     m_channelWidth = MHz_u{80};
     RunOne();
 
-    m_frequency = MHz_u{5250};
+    m_frequency = P160_CENTER_FREQUENCY;
     m_channelWidth = MHz_u{160};
     RunOne();
 
+    if (m_standard > WIFI_STANDARD_80211ax)
+    {
+        m_frequency = P320_CENTER_FREQUENCY;
+        m_channelWidth = MHz_u{320};
+        RunOne();
+    }
+
     Simulator::Destroy();
 }
 
@@ -3086,7 +3832,8 @@
     : TestSuite("wifi-phy-cca", Type::UNIT)
 {
     AddTestCase(new WifiPhyCcaThresholdsTest, TestCase::Duration::QUICK);
-    AddTestCase(new WifiPhyCcaIndicationTest, TestCase::Duration::QUICK);
+    AddTestCase(new WifiPhyCcaIndicationTest(WIFI_STANDARD_80211ax), TestCase::Duration::QUICK);
+    AddTestCase(new WifiPhyCcaIndicationTest(WIFI_STANDARD_80211be), TestCase::Duration::QUICK);
 }
 
 static WifiPhyCcaTestSuite WifiPhyCcaTestSuite; ///< the test suite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-mu-mimo-test.cc ns-3.45/src/wifi/test/wifi-phy-mu-mimo-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-mu-mimo-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-mu-mimo-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -92,8 +92,8 @@
 {
     // Verify TxVector is OFDMA
     std::list<HeMuUserInfo> userInfos;
-    userInfos.push_back({{HeRu::RU_106_TONE, 1, true}, 11, 1});
-    userInfos.push_back({{HeRu::RU_106_TONE, 2, true}, 10, 2});
+    userInfos.push_back({HeRu::RuSpec{RuType::RU_106_TONE, 1, true}, 11, 1});
+    userInfos.push_back({HeRu::RuSpec{RuType::RU_106_TONE, 2, true}, 10, 2});
     WifiTxVector txVector = BuildTxVector(MHz_u{20}, userInfos);
     NS_TEST_EXPECT_MSG_EQ(txVector.IsDlOfdma(),
                           true,
@@ -110,8 +110,9 @@
     userInfos.clear();
 
     // Verify TxVector is a full BW MU-MIMO
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 11, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 10, 2});
+    auto ru = HeRu::RuSpec{RuType::RU_242_TONE, 1, true};
+    userInfos.push_back({ru, 11, 1});
+    userInfos.push_back({ru, 10, 2});
     txVector = BuildTxVector(MHz_u{20}, userInfos);
     NS_TEST_EXPECT_MSG_EQ(txVector.IsDlOfdma(),
                           false,
@@ -128,15 +129,16 @@
     userInfos.clear();
 
     // Verify TxVector is not valid if there are more than 8 STAs using the same RU
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 11, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 10, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 9, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 8, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 7, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 6, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 5, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 4, 1});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 3, 1});
+    ru = HeRu::RuSpec{RuType::RU_242_TONE, 1, true};
+    userInfos.push_back({ru, 11, 1});
+    userInfos.push_back({ru, 10, 1});
+    userInfos.push_back({ru, 9, 1});
+    userInfos.push_back({ru, 8, 1});
+    userInfos.push_back({ru, 7, 1});
+    userInfos.push_back({ru, 6, 1});
+    userInfos.push_back({ru, 5, 1});
+    userInfos.push_back({ru, 4, 1});
+    userInfos.push_back({ru, 3, 1});
     txVector = BuildTxVector(MHz_u{20}, userInfos);
     NS_TEST_EXPECT_MSG_EQ(txVector.IsDlOfdma(),
                           false,
@@ -152,10 +154,10 @@
                           "TX-VECTOR should not indicate all checks are passed");
 
     // Verify TxVector is not valid if the total number of antennas in a full BW MU-MIMO is above 8
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 11, 2});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 10, 2});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 9, 3});
-    userInfos.push_back({{HeRu::RU_242_TONE, 1, true}, 8, 3});
+    userInfos.push_back({ru, 11, 2});
+    userInfos.push_back({ru, 10, 2});
+    userInfos.push_back({ru, 9, 3});
+    userInfos.push_back({ru, 8, 3});
     txVector = BuildTxVector(MHz_u{20}, userInfos);
     NS_TEST_EXPECT_MSG_EQ(txVector.IsDlOfdma(),
                           false,
@@ -203,7 +205,9 @@
 
   private:
     uint16_t m_staId; ///< ID of the STA to which this PHY belongs to
-};                    // class MuMimoTestHePhy
+
+    // end of class MuMimoTestHePhy
+};
 
 MuMimoTestHePhy::MuMimoTestHePhy(uint16_t staId)
     : HePhy(),
@@ -270,7 +274,9 @@
     void DoDispose() override;
 
     Ptr<MuMimoTestHePhy> m_ofdmTestHePhy; ///< Pointer to HE PHY instance used for MU-MIMO test
-};                                        // class MuMimoSpectrumWifiPhy
+
+    // end of class MuMimoSpectrumWifiPhy
+};
 
 TypeId
 MuMimoSpectrumWifiPhy::GetTypeId()
@@ -539,7 +545,7 @@
                                          false);
 
     WifiConstPsduMap psdus;
-    HeRu::RuSpec ru(HeRu::GetRuType(m_channelWidth), 1, true); // full BW MU-MIMO
+    HeRu::RuSpec ru(WifiRu::GetRuType(m_channelWidth), 1, true); // full BW MU-MIMO
     for (const auto& staInfo : staInfos)
     {
         txVector.SetRu(ru, staInfo.staId);
@@ -1329,7 +1335,7 @@
                                          false,
                                          bssColor);
 
-    HeRu::RuSpec ru(HeRu::GetRuType(m_channelWidth), 1, true); // full BW MU-MIMO
+    HeRu::RuSpec ru(WifiRu::GetRuType(m_channelWidth), 1, true); // full BW MU-MIMO
     txVector.SetRu(ru, txStaId);
     txVector.SetMode(HePhy::GetHeMcs7(), txStaId);
     txVector.SetNss(nss, txStaId);
@@ -1353,7 +1359,7 @@
                           false,
                           bssColor);
 
-    HeRu::RuSpec ru(HeRu::GetRuType(m_channelWidth), 1, true); // full BW MU-MIMO
+    HeRu::RuSpec ru(WifiRu::GetRuType(m_channelWidth), 1, true); // full BW MU-MIMO
     for (auto staId : staIds)
     {
         txVector.SetRu(ru, staId);
@@ -1532,7 +1538,7 @@
 {
     Ptr<WifiNetDevice> device = DynamicCast<WifiNetDevice>(phy->GetDevice());
     Ptr<HeConfiguration> heConfiguration = device->GetHeConfiguration();
-    heConfiguration->SetAttribute("BssColor", UintegerValue(bssColor));
+    heConfiguration->m_bssColor = bssColor;
 }
 
 void
